About
Seedance 2.0 Mini is a faster version of Seedance 2.0 that brings great performance and high generation speed at a lower cost.
1. Calling the API
Setup your API Key
To begin using Infron, you first need to create an account and generate your API Key.
Once you have your API key, set it as an environment variable in your runtime environment. This allows your applications to securely access Infron’s API.
export INFRON_KEY="YOUR_API_KEY"
Submit a request
For long-running requests, you can poll for results.
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "bytedance/seedance-2.0/mini/text-to-video",
"prompt": "ltra high-end editorial photography, photorealistic, 8K, razor-sharp detail, perfect skin texture with natural pores and subsurface scattering, cinematic lighting, shot on medium format, Portrait: 31-year-old Black British architect in a cream blazer, standing in a brutalist concrete stairwell, soft directional skylight, composed posture, masterful color grading, natural catchlights in eyes, tactile fabric detail, magazine cover quality, no text, no logos, no watermarks.",
"aspect_ratio": "16:9",
"duration": "15",
"resolution": "720p",
"generate_audio": true,
"n": 1,
"seed": 123456
}'
Response with queue task id
The response will look like this:
{
"code": 200,
"message": "success",
"data": {
"task_id": "e736c416917243ff8dbfadff5b8444dd",
"object": "video",
"model": "bytedance/seedance-2.0/mini/text-to-video",
"status": "created",
"urls": {
"query": "https://media.onerouter.pro/v1/videos/tasks/e736c416917243ff8dbfadff5b8444dd"
},
"created_at": "2026-06-27 09:30:12.63"
}
}
Fetch request status
You can fetch the status of a request to check if it is completed or still in progress.
curl https://media.onerouter.pro/v1/videos/tasks/{task_id} \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
# For example
curl https://media.onerouter.pro/v1/videos/tasks/e736c416917243ff8dbfadff5b8444dd \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
Response with queue task status query
{
"code": 200,
"message": "success",
"data": {
"task_id": "e736c416917243ff8dbfadff5b8444dd",
"object": "video",
"model": "bytedance/seedance-2.0/mini/text-to-video",
"status": "in_progress",
"fail_reason": "",
"submit_time": 1782552613,
"start_time": 1782552613,
"finish_time": 0,
"outputs": [],
"created_at": "2026-06-27 09:30:13"
}
}
Possible statuses:
- created
- in_progress
- processing
- completed
- failed
created -> in_progress → processing → completed | failed
Poll every 1-2 seconds until status is "completed" or "failed"
Get the result (when status is "completed")
Once the request is completed, you can fetch the result. See the Output Schema for the expected result format.
{
"code": 200,
"message": "success",
"data": {
"task_id": "e736c416917243ff8dbfadff5b8444dd",
"object": "video",
"model": "bytedance/seedance-2.0/mini/text-to-video",
"status": "completed",
"fail_reason": "",
"submit_time": 1782552613,
"start_time": 1782552613,
"finish_time": 1782552802,
"outputs": [
"https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_21bab288-b1a6-4b14-b84a-48a3c60798a9.mp4"
],
"usage": {
"completion_tokens": 324900,
"duration": 15,
"generate_audio": true,
"output_count": 1,
"prompt_tokens": 0,
"request_num": 1,
"resolution": "720p",
"tokens": 324900,
"total_tokens": 324900,
"video_duration": 15
},
"cost": {
"total_cost": 1.13715,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 0,
"video_cost": 1.13715,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-06-27 09:30:13"
}
}
2. Schema
Input
| Parameter | Type | Required | Default | Range | Description |
|---|---|---|---|---|---|
| model | string | Yes | -- | Explore all models | Model name. |
| prompt | string | Yes | -- | -- | Text prompt for generation; Positive text prompt. |
| aspect_ratio | string | No | 16:9 | 21:9, 16:9, 4:3, 1:1, 3:4, 9:16 | Aspect ratio of the generated video |
| duration | string | No | 5 | 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 | Duration of the generated video |
| resolution | string | No | 720p | 480p, 720p | Resolution of the generated video |
| generate_audio | boolean | No | true | true, false | Whether to generate audio. |
| n | integer | No | 1 | ==1 | Number of videos to generate. |
| seed | integer | No | -- | >=1 | The random seed to use for the generation. |
Example request
curl https://media.onerouter.pro/v1/videos/generations \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "bytedance/seedance-2.0/mini/text-to-video",
"prompt": "ltra high-end editorial photography, photorealistic, 8K, razor-sharp detail, perfect skin texture with natural pores and subsurface scattering, cinematic lighting, shot on medium format, Portrait: 31-year-old Black British architect in a cream blazer, standing in a brutalist concrete stairwell, soft directional skylight, composed posture, masterful color grading, natural catchlights in eyes, tactile fabric detail, magazine cover quality, no text, no logos, no watermarks.",
"aspect_ratio": "16:9",
"duration": "15",
"resolution": "720p",
"generate_audio": true,
"n": 1,
"seed": 123456
}'
Output
| Parameter | Type | Range | Description |
|---|---|---|---|
| code | integer | -- | Status code of the request. |
| message | string | -- | Status message of the request. |
| data | object | -- | Data of the video task. |
| data.task_id | string | -- | ID of the video task. |
| data.object | string | -- | Object type of the video task. |
| data.model | string | -- | Model name of the video task. |
| data.status | string | created, in_progress, processing, completed, failed | Status of the video task. |
| data.fail_reason | string | -- | Fail reason of the video task. |
| data.submit_time | integer | -- | Timestamp of the video task submission. |
| data.start_time | integer | -- | Timestamp of the video task start. |
| data.finish_time | integer | -- | Timestamp of the video task finish. |
| data.outputs | array | -- | Outputs of the video task. |
| data.created_at | string | -- | Timestamp of the video task creation. |
Example output
{
"code": 200,
"message": "success",
"data": {
"task_id": "e736c416917243ff8dbfadff5b8444dd",
"object": "video",
"model": "bytedance/seedance-2.0/mini/text-to-video",
"status": "completed",
"fail_reason": "",
"submit_time": 1782552613,
"start_time": 1782552613,
"finish_time": 1782552802,
"outputs": [
"https://storage.googleapis.com/infron_gcs/video%2Fvideo_v2%2Foutput%2Foutput_21bab288-b1a6-4b14-b84a-48a3c60798a9.mp4"
],
"usage": {
"completion_tokens": 324900,
"duration": 15,
"generate_audio": true,
"output_count": 1,
"prompt_tokens": 0,
"request_num": 1,
"resolution": "720p",
"tokens": 324900,
"total_tokens": 324900,
"video_duration": 15
},
"cost": {
"total_cost": 1.13715,
"cost_details": {
"prompt_cost": 0,
"completion_cost": 0,
"image_cost": 0,
"video_cost": 1.13715,
"audio_cost": 0,
"native_web_search_cost": 0,
"plugin_web_search_cost": 0,
"tools_cost": 0,
"prompt_cache_read_cost": 0,
"prompt_cache_write_cost": 0,
"prompt_cache_write_5_min": 0,
"prompt_cache_write_1_h": 0,
"reasoning_cost": 0,
"discount_rate": 1,
"is_byok": false,
"byok_cost": 0
}
},
"created_at": "2026-06-27 09:30:13"
}
}
3. Detailed Pricing
| Pricing Type | Unit | Price |
|---|---|---|
| Video generation with video input, 480p / 720p | 1K tokens | $0.0021 |
| Video generation without video input, 480p / 720p | 1K tokens | TBD |
| Video generation, 1080p | - | Not supported |
| Video generation, 4K | - | Not supported |
| Input Type | Resolution | Price |
|---|---|---|
| With video input | 480p / 720p | $2.10 / 1M tokens |
| Without video input | 480p / 720p | TBD |
| With / without video input | 1080p | Not supported |
| With / without video input | 4K | Not supported |
| Resolution | Duration | Estimated Price |
|---|---|---|
| 480p | 5 s | $0.19–$0.42 |
| 480p | 10 s | ~$0.38–$0.84 |
| 480p | 15 s | ~$0.57–$1.26 |
| 720p | 5 s | $0.41–$0.91 |
| 720p | 10 s | ~$0.82–$1.82 |
| 720p | 15 s | ~$1.23–$2.73 |
| 1080p | 5 s | Not supported |
| 1080p | 10 s | Not supported |
| 1080p | 15 s | Not supported |
| 4K | 5 s | Not supported |
| 4K | 10 s | Not supported |
| 4K | 15 s | Not supported |